@echo off

set HFCTOOLS_PATH=%ProgramFiles(x86)%\Hitachi\drivers\hba\HFCTools

if not exist "%HFCTOOLS_PATH%\" (
  exit /B 0
)

cd /D "%HFCTOOLS_PATH%"

setlocal enabledelayedexpansion
set SYMBOLIC=---
set VENDOR_ID=---

for /f "usebackq tokens=6,12" %%i in (`cmd /c "hfcmgr -ls | findstr /C:"symbolic" /C:"PCI Vendor id""`) do (
	set SYMBOLIC_SCSI=%%i
	set SYMBOLIC_NAME=!SYMBOLIC_SCSI:~0,4!
	if !SYMBOLIC_NAME! == scsi (
		set SYMBOLIC=%%i
		set VENDOR_ID=---
		for /f "usebackq tokens=1" %%m in (`dddu %%i uid`) do (
			if exist ..\errord\log\hfc%%m.log (
				copy ..\errord\log\hfc%%m.log %LOG_SAVE_DIR%\HFCDL_%%m.txt > NUL
			)
		)
	) else (
		if not !SYMBOLIC! == --- if !VENDOR_ID! == --- (
			set VENDOR_ID=%%i
			echo !SYMBOLIC! !VENDOR_ID!
			set HFC_PCI_DID=!VENDOR_ID:~-4!
			if !HFC_PCI_DID! == 3020 (
				call dddump.bat !SYMBOLIC! %LOG_SAVE_DIR%\HFCDD_!SYMBOLIC!.txt
			) else (
				if !HFC_PCI_DID! == 3070 (
					call dddumpFX.bat !SYMBOLIC! %LOG_SAVE_DIR%\HFCDD_!SYMBOLIC!.txt
				) else (
					echo Unsupport(DEV_ID:!HFC_PCI_DID!) > %LOG_SAVE_DIR%\HFCDD_!SYMBOLIC!.txt
				)
			)
			set SYMBOLIC=---
			set VENDOR_ID=---
		)
	)
)
endlocal
